## org.jfree.chart.plot
Class ContourPlotUtilities

    java.lang.Object
      org.jfree.chart.plot.ContourPlotUtilities

public abstract class ContourPlotUtilities
extends java.lang.Object

Some utility methods for the `ContourPlot` class.

Author:
  David M. O'Donnell

Constructor Summary
`ContourPlotUtilities()`

Method Summary
`static Range` `visibleRange(ContourDataset data, Range x, Range y)` Returns the visible z-range.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContourPlotUtilities

    public ContourPlotUtilities()

Method Detail

### visibleRange

    public static Range visibleRange(ContourDataset data,
                                     Range x,
                                     Range y)

  Returns the visible z-range.

  Parameters:
    `data` - the dataset.
    `x` - the x range.
    `y` - the y range.
  Returns:
    The range.